openapi: 3.0.1
paths:
  /2024/1/negotiations/offer:
    post:
      operationId: initialContractOffer_1
      parameters:
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /2024/1/negotiations/request:
    post:
      operationId: initialContractRequest_1
      parameters:
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /2024/1/negotiations/{id}:
    get:
      operationId: getNegotiation_1
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /2024/1/negotiations/{id}/agreement:
    post:
      operationId: createAgreement_1
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /2024/1/negotiations/{id}/agreement/verification:
    post:
      operationId: verifyAgreement_1
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /2024/1/negotiations/{id}/events:
    post:
      operationId: createEvent_1
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /2024/1/negotiations/{id}/offer:
    post:
      operationId: providerOffer_1
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /2024/1/negotiations/{id}/request:
    post:
      operationId: contractRequest_1
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /2024/1/negotiations/{id}/termination:
    post:
      operationId: terminateNegotiation_1
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /negotiations/offer:
    post:
      operationId: initialContractOffer
      parameters:
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /negotiations/request:
    post:
      operationId: initialContractRequest
      parameters:
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /negotiations/{id}:
    get:
      operationId: getNegotiation
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /negotiations/{id}/agreement:
    post:
      operationId: createAgreement
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /negotiations/{id}/agreement/verification:
    post:
      operationId: verifyAgreement
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /negotiations/{id}/events:
    post:
      operationId: createEvent
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /negotiations/{id}/offer:
    post:
      operationId: providerOffer
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /negotiations/{id}/request:
    post:
      operationId: contractRequest
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
  /negotiations/{id}/termination:
    post:
      operationId: terminateNegotiation
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      - in: header
        name: Authorization
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                $ref: "#/components/schemas/JsonValue"
              properties:
                empty:
                  type: boolean
                valueType:
                  type: string
                  enum:
                  - ARRAY
                  - OBJECT
                  - STRING
                  - NUMBER
                  - "TRUE"
                  - "FALSE"
                  - "NULL"
      responses:
        default:
          content:
            application/json: {}
          description: default response
components:
  schemas:
    JsonObject:
      type: object
      additionalProperties:
        $ref: "#/components/schemas/JsonValue"
      properties:
        empty:
          type: boolean
        valueType:
          type: string
          enum:
          - ARRAY
          - OBJECT
          - STRING
          - NUMBER
          - "TRUE"
          - "FALSE"
          - "NULL"
    JsonValue:
      type: object
      properties:
        valueType:
          type: string
          enum:
          - ARRAY
          - OBJECT
          - STRING
          - NUMBER
          - "TRUE"
          - "FALSE"
          - "NULL"
